{{ $appSection := "frontend" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ $appName }}
  annotations:
    {{- include "vymi-alerts.annotations" . | nindent 4 }}
  labels:
    app.kubernetes.io/name: {{ $appName }}
    backstage.io/kubernetes-id: {{ $appName }}
    {{- include "vymi-alerts.labels" . | nindent 4 }}
spec:
  replicas: {{ index . "Values" $appSection "replicas" }}
  selector:
    matchLabels:
      app.kubernetes.io/name: {{ $appName }}
      {{- include "vymi-alerts.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      annotations:
        {{- include "vymi-alerts.annotations" . | nindent 8 }}
      labels:
        app.kubernetes.io/name: {{ $appName }}
        backstage.io/kubernetes-id: {{ $appName }}
        {{- include "vymi-alerts.labels" . | nindent 8 }}
    spec:
      automountServiceAccountToken: false
      {{- include "vymi-alerts.imagePullSecrets" (list . .Values.global.imagePullSecrets ) | nindent 6 }}
      containers:
        - name: {{ $appName }}
          image: {{ include "vymi-alerts.imageName" (list . $appSection) | quote }}
          imagePullPolicy: {{ .Values.global.pullPolicy }}
          ports:
            - containerPort: {{ index . "Values" $appSection "port" }}
          env:
            - name: NODE_OPTIONS
              value: {{ include "vymi-alerts.maxOldSpaceSize" (index . "Values" $appSection "resources" "limits" "memory" ) | quote}}
            - name: API_URL
              value: {{ printf "http://%s:%.0f/%s" .Values.backend.name .Values.backend.port ( index . "Values" $appSection "apiVersion" ) | quote }}
            - name: LOG_LEVEL
              value: {{ index . "Values" $appSection "logLevel" }}

          resources:
            {{ index . "Values" $appSection "resources" | toYaml | nindent 12 }}
          securityContext:
            allowPrivilegeEscalation: false
            runAsNonRoot: true
            runAsUser: 1001
            capabilities:
              drop: [ "all" ]
{{/*          readinessProbe: {{include "vymi-alerts.readinessProbe" (list . $appSection) | nindent 12 }}*/}}
{{/*          livenessProbe: {{include "vymi-alerts.livenessProbe" (list . $appSection) | nindent 12 }}*/}}
